diff -crN buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/cmd.c buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/cmd.c
*** buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/cmd.c	2015-10-19 13:49:47.578866069 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/cmd.c	2015-10-19 14:28:57.174500300 +0900
***************
*** 61,67 ****
  	u16 poll_count = 0;
  
  	/* not needed; removed */
! #if 0
  	if (WARN_ON(unlikely(wl->state == WLCORE_STATE_RESTARTING)))
  		return -EIO;
  #else
--- 61,67 ----
  	u16 poll_count = 0;
  
  	/* not needed; removed */
! #ifdef DISPLAY_ALL_ERRORWARNING
  	if (WARN_ON(unlikely(wl->state == WLCORE_STATE_RESTARTING)))
  		return -EIO;
  #else
***************
*** 95,101 ****
--- 95,105 ----
  
  	while (!(intr & WL1271_ACX_INTR_CMD_COMPLETE)) {
  		if (time_after(jiffies, timeout)) {
+ #ifdef DISPLAY_ALL_ERRORWARNING
+ 			wl1271_error("command complete timeout");
+ #else
  			wl1271_info("command complete timeout");
+ #endif
  			ret = -ETIMEDOUT;
  			goto fail;
  		}
diff -crN buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/main.c buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/main.c
*** buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/main.c	2015-10-19 13:49:47.598866075 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/main.c	2015-10-19 14:29:07.179072500 +0900
***************
*** 747,753 ****
  void wl12xx_queue_recovery_work(struct wl1271 *wl)
  {
  	/* not needed; removed */
! 	// WARN_ON(!test_bit(WL1271_FLAG_INTENDED_FW_RECOVERY, &wl->flags));
  
  	/* Avoid a recursive recovery */
  	if (wl->state == WLCORE_STATE_ON) {
--- 747,755 ----
  void wl12xx_queue_recovery_work(struct wl1271 *wl)
  {
  	/* not needed; removed */
! #ifdef DISPLAY_ALL_ERRORWARNING
! 	WARN_ON(!test_bit(WL1271_FLAG_INTENDED_FW_RECOVERY, &wl->flags));
! #endif
  
  	/* Avoid a recursive recovery */
  	if (wl->state == WLCORE_STATE_ON) {
***************
*** 4911,4917 ****
--- 4913,4921 ----
  	BUG_ON(band >= 2);
  
  	if (unlikely(rate >= wl->hw_tx_rate_tbl_size)) {
+ #ifdef DISPLAY_ALL_ERRORWARNING
  		wl1271_error("Illegal RX rate from HW: %d", rate);
+ #endif
  		return 0;
  	}
  
diff -crN buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/rx.c buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/rx.c
*** buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/rx.c	2013-09-19 14:18:43.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/rx.c	2015-10-19 14:29:21.259877900 +0900
***************
*** 87,93 ****
--- 87,95 ----
  
  		if (unlikely(desc_err_code == WL1271_RX_DESC_MIC_FAIL)) {
  			status->flag |= RX_FLAG_MMIC_ERROR;
+ #ifdef DISPLAY_ALL_ERRORWARNING
  			wl1271_warning("Michael MIC error");
+ #endif
  		}
  	}
  }
***************
*** 114,121 ****
--- 116,128 ----
  
  	pkt_data_len = wlcore_hw_get_rx_packet_len(wl, data, length);
  	if (!pkt_data_len) {
+ #ifdef DISPLAY_ALL_ERRORWARNING
  		wl1271_error("Invalid packet arrived from HW. length %d",
  			     length);
+ #else
+ 		wl1271_warning("Invalid packet arrived from HW. length %d",
+ 			     length);
+ #endif
  		return -EINVAL;
  	}
  
***************
*** 255,264 ****
--- 262,273 ----
  						  &hlid) == 1) {
  				if (hlid < WL12XX_MAX_LINKS)
  					__set_bit(hlid, active_hlids);
+ #ifdef DISPLAY_ALL_ERRORWARNING
  				else
  					WARN(1,
  					     "hlid exceeded WL12XX_MAX_LINKS "
  					     "(%d)\n", hlid);
+ #endif
  			}
  
  			wl->rx_counter++;
diff -crN buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/tx.c buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/tx.c
*** buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/tx.c	2015-10-19 13:49:47.602866074 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/tx.c	2015-10-19 14:29:33.085554200 +0900
***************
*** 351,362 ****
--- 351,370 ----
  	bool is_gem = false;
  
  	if (!skb) {
+ #ifdef DISPLAY_ALL_ERRORWARNING
+ 		wl1271_error("discarding null skb");
+ #else
  		wl1271_info("discarding null skb");
+ #endif
  		return -EINVAL;
  	}
  
  	if (hlid == WL12XX_INVALID_LINK_ID) {
+ #ifdef DISPLAY_ALL_ERRORWARNING
+ 		wl1271_error("invalid hlid. dropping skb 0x%p", skb);
+ #else
  		wl1271_info("invalid hlid. dropping skb 0x%p", skb);
+ #endif
  		return -EINVAL;
  	}
  
diff -crN buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/wlcore.h buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/wlcore.h
*** buildroot-2013.08.1-ckb-20150123-1/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/wlcore.h	2013-09-20 09:38:38.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/board/ckb/common/cmj100-module/linux-3.8.x/wlcore/wlcore.h	2015-10-19 14:29:39.869942300 +0900
***************
*** 24,29 ****
--- 24,31 ----
  
  #include <linux/platform_device.h>
  
+ //#define DISPLAY_ALL_ERRORWARNING
+ 
  #include "wlcore_i.h"
  #include "event.h"
  #include "boot.h"
